import { 
	scaleOrdinal
} from 'd3';


const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#e868e2', 'yellow']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([60, 40]);


// Data join render 
export const fruitBowl = (selection, props ) => {
  const { fruits, height } = props
  
  
  const bowl = selection.selectAll('rect')
  	.data([null])
  	.enter().append('rect')
      .attr('y', 75)
      .attr('width', 800)
      .attr('height', 300)
      .attr('rx', 300 / 2)
  
  
  const groups = selection.selectAll('g')
  	.data(fruits);
  
  const groupsEnter = groups.enter().append('g');
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) => `
				translate(${i * 150 + 100}, ${height / 2})
			`)
  groups.exit().remove();
  
  groupsEnter.append('circle')
  	.merge(groups.select('circle'))
      .attr('r', d => radiusScale(d.type))
    	.attr('fill', d => colorScale(d.type))
  
  
  groups.select('text')
  	.merge(groupsEnter.append('text'))
    	.text(d => d.type)
  		.attr('y', 100)
  

}